Package org.apache.ignite.platform

## Enum PlatformType

- java.lang.Object
- - java.lang.Enum<PlatformType>
  - - org.apache.ignite.platform.PlatformType

- All Implemented Interfaces:
    `Serializable`, `Comparable<PlatformType>`

      public enum PlatformType
      extends Enum<PlatformType>

  Interop platform type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DOTNET` | .NET platform.
    `JAVA` | Java platform.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PlatformType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PlatformType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JAVA

          public static final PlatformType JAVA

      Java platform.

    - #### DOTNET

          public static final PlatformType DOTNET

      .NET platform.

  - ### Method Detail

    - #### values

          public static PlatformType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PlatformType c : PlatformType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PlatformType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null